.cartCon{
    position: fixed;
    display: none;
    width: 100%;
    height: 100vh;
    background-color: transparent;
    z-index: 10;
}
.left{
    float: left;
    width: 60%;
    background-color: #000;
    opacity: 0.5;
    height: 100%;
}
.cart{
    float: right;
    width: 40%;
    background-color: #f1f1f1;
    height: 100%;
}
.cartTop{
    text-align: center;
    border-bottom: 1px solid rgb(198, 196, 196);
    padding: 10px 5px;
    background-color: #fff;
}
.cartTop .personalCart {
    font-weight: 600;
    display: block;
}
.cartTop .personalAddr {
    font-size: 13px;
    color: gray;
    display: block;
}
.cartTop .closeButton {
    border: 1px solid green;
    color: green;
    padding: 5px 20px;
    float: right;
    border-radius: 5px;
    cursor: pointer;
}
.cartTop .closeButton i {
    padding-right: 10px;
}
.cartMid {
    text-align: center;
    border-bottom: 1px solid rgb(198, 196, 196);
    background-color: #fff;
    text-align: left;
}
.cartItemCon{
    height: 60vh;
  overflow-x:hidden;
  overflow-y:scroll;
}
.cartMid .storeD {
    border-bottom: 1px solid rgb(198, 196, 196);
    border-top: 1px solid rgb(198, 196, 196);
    margin-top: 10px;
    display: block;
    height: 80px;
}
.cartMid .storeD .total {
    float: right;
    font-weight: 900;
    margin-right: 10px;
}
.cartMid .storeD img{
    float: left;
    border: 1px solid rgb(198, 196, 196);
    border-radius: 50px;
    width: 50px;
    height: 50px;
    margin: 10px 15px;
}
.cartMid .storeD .storeName {
    font-weight: 600;
    display: block;
    margin-top: 10px;
}
.cartMid .storeD .storeType {
    font-size: 13px;
    font-weight: 600;
    color: green;
}
.cartItem {
    display: block;
    height: 70px;
}
.cartItem img{
    float: left;
    border: 1px solid rgb(198, 196, 196);
    width: 50px;
    height: 50px;
    margin: 10px 15px;
}
.cartItem .itemName {
    display: block;
    margin-top: 15px;
    width:68%;
    font-size:14px;
}
.cartItem .itemDetails {
    font-size: 13px;
    width:68%;
  text-overflow: ellipsis;
}
.cartItem .total {
    float: right;
    font-weight: 600;
    margin-right: 10px;
}
.cartItem .cartItemCount {
    width: 30px;
    float: right;
    border: 1px solid rgb(198, 196, 196);
    padding: 10px 0;
    margin: 0;
    text-align: center;
}
.cartItemCountEX {
    display: block;
    width: 100px;
    float: right;
    border: 1px solid #f1e9e3;
    padding: 10px;
    margin: -15px 10px 0 0;
    text-align: center;
    background-color: transparent;
}
.cartItemCount :hover + .cartItemCountEX{
    opacity: 1;
    display: block;
    background-color: aqua;
}
.cartItemCountEX .fa-trash-can{
    float:left;
    color:#dc4712;
}
.cartItemCountEX .fa-plus{
    float:right;
    color:#ee712b;
}
.serviceType {
    width: 90%; 
}
.serviceType div{
    text-align: center;
    background-color: white;
    border: rgb(220, 215, 215) 1px solid;
    color: #000;
    border-radius: 5px;
    width: 20%;
    margin: 5px 14px;
    padding: 12px 0;
    display: inline-block;
}
.feeCon {
    width:90%;
    margin:0 20px ;
}
.payment_type{
    height: 90px;
    border-bottom: rgb(175, 175, 175) solid 1px;
    border-bottom: rgb(175, 175, 175) solid 1px;
}
.cartBottom{
    position: absolute; 
                    bottom: 0; 
                    width: 100%; 
                    height: 130px; 
                    background-color: transparent;
}
.cartBottom_checkout{
    position: absolute; 
                    bottom: 20px; 
                    width: 100%; 
                    height: 160px; 
                    background-color: transparent;
}
.active{
    background-color: orange;
}
.checkoutButtom {
    text-align: center;
    width: 38%;
    margin: 5px 1%;
    padding: 12px 0;
    background-color: green;
    color: #fff;
    font-weight: 700;
    border-radius: 5px;
}
.checkoutCount {
    float: right;
    background-color: rgb(2, 87, 2);
    color: #fff;
    padding: 5px 15px;
    border-radius: 5px;
    margin: -5px 10px 5px 0;
}
.cartEmpty{
  display: flex; /* Make parent a flex-container */
  justify-content: center; /* Centers child horizontally */
  align-items: center;
    background:#fff;
    width:100%;
    height:100%;
}
.cartEmpty div{
  display: inline-block;
    text-align: center; /* Centers text Horizontally */
    vertical-align: middle;
    width:100%;
}
.cartEmpty a{
  display: inline-block;
    text-align: center; /* Centers text Horizontally */
    vertical-align: middle;
    width:80%;
    margin:10px 10%;
    padding:5px 0;
    color:#fff;
    background:#ee712b;
    text-decoration:none;
}
.cartMid .itemDetails{
    display:none;
}